/*
	-------------------------------------
	Goldeneye 007 - 1964 EMU Autosplitter
	v1.0 2020-11-18
	-------------------------------------
	
	Developed by Matthew Alan Estock
	@MattyAlanEstock - mattyalanestock.com
	
	"Reset" will reset the timer if a mission is failed.
	
	This autosplitter does not split the end correctly.
	Please be sure to re-time the last split of your run.
	You're faster than you think!
	
*/

state("1964")
{
	byte menu : 0x106DA1A8, 0x8c0;
	byte aborted : 0x106DA1A8, 0x924;
	byte killed : 0x106DA1A8, 0x928;
}

init
{
	current.level = 1;
}

start
{
	if (old.menu == 23 && current.menu == 11)
		return true;
}

update
{
	if (old.menu==11 && current.menu!=11 && current.aborted==0 && current.killed==0) {
		current.level = old.level + 1;
	}
	if(timer.CurrentPhase == TimerPhase.NotRunning) {
		current.level = 1;
	}
}

reset
{
	if (old.aborted == 0 && current.aborted == 1) {
		return true;
	}
	if (old.killed == 0 && current.killed == 1) {
		return true;
	}
	return false;
}

split
{
	if (current.level != old.level)
		return true;
	return false;
}